Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Interface SDWP

    public interface SDWP

Squawk VM extensions to the Java Debug Wire Protocol.

Field Summary
`static int` | `SquawkVM_AllThreads_COMMAND` AllThreads Command (3)
`static int` | `SquawkVM_COMMAND_SET` SquawkVM Command Set (128)
`static int` | `SquawkVM_SteppingInfo_COMMAND` SteppingInfo Command (2)
`static int` | `SquawkVM_ThreadStateChanged_COMMAND` ThreadStateChanged Command (4)

Field Detail

### SquawkVM_COMMAND_SET

    static final int SquawkVM_COMMAND_SET

  SquawkVM Command Set (128)

  The value of the SDWP command family. Value is

  See Also:
    Constant Field Values

### SquawkVM_SteppingInfo_COMMAND

    static final int SquawkVM_SteppingInfo_COMMAND

  SteppingInfo Command (2)

  Sent by debug client when it needs to know the valid stepping ranges.

  Out Data

    referenceTypeID | typeID | Class of method in which thread to be stepped in currently paused.
    methodID | method | Method in which thread to be stepped in currently paused.
    long | bci | Bytecode index of instruction in method.

  Reply Data

    long | targetBCI | The offset of the next instruction that starts a new source line or -1.
    long | dupBCI | The offset of another instruction apart from the current instruction that returns control flow to current source line or -1.
    long | afterDupBCI | The offset of the first instruction after dupBCI that is on a new source line or -1.

  See Also:
    Constant Field Values

### SquawkVM_AllThreads_COMMAND

    static final int SquawkVM_AllThreads_COMMAND

  AllThreads Command (3)

  Gets information on all the threads in the VM.

  Out Data
    (None)
  Reply Data

    int | threads | Number of threads:
    Repeated threads times:
    | referenceTypeID | thread | A thread.
    | int | status | Thread's JDWP.Status value.
    | boolean | suspendCount | The thread's suspension count.
    | string | name | Thread's name.

  See Also:
    Constant Field Values

### SquawkVM_ThreadStateChanged_COMMAND

    static final int SquawkVM_ThreadStateChanged_COMMAND

  ThreadStateChanged Command (4)

  Sent by VM when the debug state of one or more threads changes as the result of a debugger suspend/resume request or a thread starts/dies.

  Out Data

    int | threads | Number of threads:
    Repeated threads times:
    | referenceTypeID | thread | A thread.
    | int | status | Thread's JDWP.Status value.
    | boolean | suspendCount | The thread's suspension count.
    | string | name | Thread's name.

  Reply Data
    (None)

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"